Class: Aws::Imagebuilder::Types::CreateInfrastructureConfigurationRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::Imagebuilder::Types::CreateInfrastructureConfigurationRequest
- Defined in:
- gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#client_token ⇒ String
A unique, case-sensitive identifier you provide to ensure that the operation completes no more than one time.
-
#description ⇒ String
The description of the infrastructure configuration.
-
#dry_run ⇒ Boolean
Validates the required permissions and request parameters without making the request.
-
#instance_metadata_options ⇒ Types::InstanceMetadataOptions
The instance metadata options that you can set for the HTTP requests that pipeline builds use to launch EC2 build and test instances.
-
#instance_profile_name ⇒ String
The instance profile to associate with the instance used to customize your Amazon EC2 AMI.
-
#instance_types ⇒ Array<String>
The instance types of the infrastructure configuration.
-
#key_pair ⇒ String
The key pair of the infrastructure configuration.
-
#logging ⇒ Types::Logging
The logging configuration of the infrastructure configuration.
-
#name ⇒ String
The name of the infrastructure configuration.
-
#placement ⇒ Types::Placement
The instance placement settings that define where the instances that are launched from your image run.
-
#resource_tags ⇒ Hash<String,String>
The metadata tags to assign to the Amazon EC2 instance that Image Builder launches during the build process.
-
#security_group_ids ⇒ Array<String>
The security group IDs to associate with the instance used to customize your Amazon EC2 AMI.
-
#sns_topic_arn ⇒ String
The Amazon Resource Name (ARN) of the SNS topic to which Image Builder sends image build event notifications.
-
#subnet_id ⇒ String
The subnet ID in which to place the instance used to customize your Amazon EC2 AMI.
-
#tags ⇒ Hash<String,String>
The metadata tags to assign to the infrastructure configuration resource that Image Builder creates as output.
-
#terminate_instance_on_failure ⇒ Boolean
Specifies whether to terminate the instance on failure.
Instance Attribute Details
#client_token ⇒ String
A unique, case-sensitive identifier you provide to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error. For more information, see Ensuring idempotency in the Amazon EC2 API Reference.
A suitable default value is auto-generated. You should normally not need to pass this option.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#description ⇒ String
The description of the infrastructure configuration.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#dry_run ⇒ Boolean
Validates the required permissions and request parameters without
making the request. If validation succeeds, the operation returns a
DryRunOperationException error response.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#instance_metadata_options ⇒ Types::InstanceMetadataOptions
The instance metadata options that you can set for the HTTP requests that pipeline builds use to launch EC2 build and test instances.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#instance_profile_name ⇒ String
The instance profile to associate with the instance used to customize your Amazon EC2 AMI.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#instance_types ⇒ Array<String>
The instance types of the infrastructure configuration. You can specify one or more instance types to use for this build. Image Builder picks one of these instance types based on availability.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#key_pair ⇒ String
The key pair of the infrastructure configuration. You can use this to log on to and debug the instance used to create your image.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#logging ⇒ Types::Logging
The logging configuration of the infrastructure configuration.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#name ⇒ String
The name of the infrastructure configuration.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#placement ⇒ Types::Placement
The instance placement settings that define where the instances that are launched from your image run.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#resource_tags ⇒ Hash<String,String>
The metadata tags to assign to the Amazon EC2 instance that Image Builder launches during the build process. Tags are formatted as key value pairs.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#security_group_ids ⇒ Array<String>
The security group IDs to associate with the instance used to customize your Amazon EC2 AMI.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#sns_topic_arn ⇒ String
The Amazon Resource Name (ARN) of the SNS topic to which Image Builder sends image build event notifications.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#subnet_id ⇒ String
The subnet ID in which to place the instance used to customize your Amazon EC2 AMI.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#tags ⇒ Hash<String,String>
The metadata tags to assign to the infrastructure configuration resource that Image Builder creates as output. Tags are formatted as key value pairs.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |
#terminate_instance_on_failure ⇒ Boolean
Specifies whether to terminate the instance on failure. Set to false
if you want Image Builder to retain the instance used to configure
your AMI if the build or test phase of your workflow fails. Defaults
to true.
1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 |
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1922 class CreateInfrastructureConfigurationRequest < Struct.new( :name, :description, :instance_types, :instance_profile_name, :security_group_ids, :subnet_id, :logging, :key_pair, :terminate_instance_on_failure, :sns_topic_arn, :resource_tags, :instance_metadata_options, :tags, :placement, :client_token, :dry_run) SENSITIVE = [] include Aws::Structure end |